Bug 1021420 - [engine-webadmin] [text] inappropriate text message on UI when trying to scan alignment an unattached disk
[engine-webadmin] [text] inappropriate text message on UI when trying to scan...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.3.0
x86_64 Unspecified
unspecified Severity high
: ---
: 3.3.0
Assigned To: Sergey Gotliv
Elad
storage
:
Depends On:
Blocks: 3.3snap2
  Show dependency treegraph
 
Reported: 2013-10-21 05:29 EDT by Elad
Modified: 2016-02-10 11:44 EST (History)
8 users (show)

See Also:
Fixed In Version: is22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-21 17:17:48 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
amureini: Triaged+


Attachments (Terms of Use)
engine.log and screenshot (192.38 KB, application/x-gzip)
2013-10-21 05:29 EDT, Elad
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 20462 None None None Never
oVirt gerrit 20652 None None None Never

  None (edit)
Description Elad 2013-10-21 05:29:24 EDT
Created attachment 814492 [details]
engine.log and screenshot

Description of problem:
When trying to scan alignment to an unattached disk, user gets the error in this form:
"Error while executing action: ACTION_TYPE_FAILED_DISK_IS_NOT_VM_DISK"


Version-Release number of selected component (if applicable):
rhevm-webadmin-portal-3.3.0-0.27.beta1.el6ev.noarch


Steps to Reproduce:
1. have a disk that is unattached to vm
2. try to scan alignment the disk


Expected results:
The message should be presented in appropriate form. for example, like this:
"Error while executing action: This action is prohibited, scan alignment is possible only to VM disk"


Additional info:
engine.log and screenshot
Comment 1 Elad 2013-11-14 07:50:13 EST
When trying to scan alignment an unattached disk, user gets:

"Error while executing action: Cannot scan alignment Virtual Machine Disk. The following disk(s) are not attached to any VM: backed1_Disk3."

Checked with is23
rhevm-webadmin-portal-3.3.0-0.33.beta1.el6ev.noarch
Comment 2 Itamar Heim 2014-01-21 17:17:48 EST
Closing - RHEV 3.3 Released
Comment 3 Itamar Heim 2014-01-21 17:24:20 EST
Closing - RHEV 3.3 Released

Note You need to log in before you can comment on or make changes to this bug.